#pragma once

#include "afxcmn.h"
#include "DetailBoardNetworkDlg.h"
#include "DetailBoardThreadDlg.h"
#include "ReplaceDlg.h"

// CDetailBoardDlg _CAO

class CDetailBoardDlg : public CDialog
{
	DECLARE_DYNAMIC(CDetailBoardDlg)

public:
	CDetailBoardDlg(CWnd* pParent = NULL);   // WRXgN^[
	virtual ~CDetailBoardDlg();

// _CAO f[^
	enum { IDD = IDD_DETAIL_BOARD };

	int select_;

	struct Dialog {
		Dialog(sl::BoardConfig& board)
			: network(board)
			, thread(board)
			, url(board.url, [](utl::ReplaceElementList& list){ list.set(sl::BoardConfig().url); })
			, message(board.message, [](utl::ReplaceElementList& list) { list.set(sl::BoardConfig().message); })
		{}

		CDetailBoardNetworkDlg network;
		CDetailBoardThreadDlg thread;
		CReplaceDlg url;
		CReplaceDlg message;
	};

	Dialog dlg_;

	struct Item {
		CDialog* dlg;
		int idd;
		int index;
	};

	std::vector<Item> vec_;
	CRect rect_;

	sl::BoardConfig board_;

protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV T|[g

	DECLARE_MESSAGE_MAP()
public:
	virtual BOOL OnInitDialog();
	virtual BOOL PreTranslateMessage(MSG* pMsg);
	afx_msg void OnTcnSelchangeTab(NMHDR *pNMHDR, LRESULT *pResult);

	CTabCtrl m_xcTab;
};
