// DetailTypeFLV2Dlg.cpp : t@C
//

#include "stdafx.h"
#include "PCRPlayer.h"
#include "DetailTypeFLV2Dlg.h"
#include "afxdialogex.h"


// CDetailTypeFLV2Dlg _CAO

IMPLEMENT_DYNAMIC(CDetailTypeFLV2Dlg, CDialog)

//CDetailTypeFLV2Dlg::CDetailTypeFLV2Dlg(CWnd* pParent /*=NULL*/)
//	: CDialog(IDD_DETAIL_TYPE_FLV1, pParent)
//{
//
//}

CDetailTypeFLV2Dlg::CDetailTypeFLV2Dlg(sl::TypeConfig::FLV& flv)
	: CDialog(CDetailTypeFLV2Dlg::IDD, NULL)
	, flv_(flv)
{

}

CDetailTypeFLV2Dlg::~CDetailTypeFLV2Dlg()
{
}

void CDetailTypeFLV2Dlg::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	DDX_Control(pDX, IDC_SPIN_BUFFER, m_xcSpinBuffer);
	DDX_Control(pDX, IDC_CHECK_OPTIMIZE, m_xcCheckOptimize);
}

void CDetailTypeFLV2Dlg::InitControls()
{
	m_xcSpinBuffer.SetPos32(flv_.buffer);
	m_xcCheckOptimize.SetCheck(flv_.optimize ? BST_CHECKED : BST_UNCHECKED);
}

BEGIN_MESSAGE_MAP(CDetailTypeFLV2Dlg, CDialog)
	ON_WM_DESTROY()
	ON_BN_CLICKED(IDC_BTN_ALL_DEFAULT, &CDetailTypeFLV2Dlg::OnBnClickedBtnAllDefault)
END_MESSAGE_MAP()


// CDetailTypeFLV2Dlg bZ[W nh[


BOOL CDetailTypeFLV2Dlg::OnInitDialog()
{
	CDialog::OnInitDialog();

	m_xcSpinBuffer.SetRange32(0, 600000);

	InitControls();

	return TRUE;  // return TRUE unless you set the focus to a control
				  // O : OCX vpeB y[W͕K FALSE Ԃ܂B
}


BOOL CDetailTypeFLV2Dlg::PreTranslateMessage(MSG* pMsg)
{
	if (pMsg->message == WM_KEYDOWN)
	{
		if (pMsg->wParam == VK_RETURN || pMsg->wParam == VK_ESCAPE)
		{
			return FALSE;
		}
	}
	return CDialog::PreTranslateMessage(pMsg);
}


void CDetailTypeFLV2Dlg::OnDestroy()
{
	CDialog::OnDestroy();

	flv_.buffer = m_xcSpinBuffer.GetPos32();
	flv_.optimize = m_xcCheckOptimize.GetCheck() == BST_CHECKED;
}


void CDetailTypeFLV2Dlg::OnBnClickedBtnAllDefault()
{
	auto tmp = sl::TypeConfig::FLV();

	flv_.buffer = tmp.buffer;
	flv_.optimize = tmp.optimize;

	InitControls();
}
