#pragma once


// CResDlg _CAO

class CResDlg : public CDialog
{
	DECLARE_DYNAMIC(CResDlg)

public:
	CResDlg(CWnd* pParent = NULL);   // WRXgN^[
	virtual ~CResDlg();

	void SetConfig(const sl::ResConfig& cfg);

// _CAO f[^
	enum { IDD = IDD_RES };

protected:
	CWnd* target_;
	std::wstring text_;
	CFont font_;
	CFont bold_;
	CSize size_;
	layout::GridLayout layout_;
	DWORD align_;
	
	sl::ResConfig res_;

	void draw(CDC& dc, const CRect& org, bool mask = false, int text = 255, int back = 255);

protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV T|[g
	virtual BOOL OnInitDialog();
	virtual BOOL PreTranslateMessage(MSG* pMsg);

	DECLARE_MESSAGE_MAP()
public:
	afx_msg BOOL OnEraseBkgnd(CDC* pDC);
	afx_msg void OnPaint();
	afx_msg void OnTimer(UINT_PTR nIDEvent);

	virtual void setAlign(DWORD align);
	virtual void setDat(const std::vector<bbs::ResInfo>& dat);
	virtual void setPosition(long x, long y, long h);
	virtual void setPositionLeft(long x, long y, long h);
	virtual void setPositionRight(long x, long y, long h);
	virtual void setTarget(CWnd* target) { target_ = target; }
	virtual void setPosition();
	virtual void showWindow(bool show);
	afx_msg void OnUpdateResEnd();
};
