#pragma once

#include "FavoriteDlg.h"
#include "CustomEdit.h"
#include "CustomListCtrl.h"
#include "CheckBoxStatusBar.h"
#include "afxwin.h"
#include "afxcmn.h"



// j[̂Cɓ͈̔
#define IDM_FAVORITE_RANGE_BEGIN		51000
#define IDM_FAVORITE_RANGE_END			51099


// CThreadDlg _CAO

class CThreadDlg : public CDialog
{
	DECLARE_DYNAMIC(CThreadDlg)

public:
	CThreadDlg(CWnd* pParent = NULL);   // WRXgN^[
	virtual ~CThreadDlg();

	//virtual INT_PTR DoModal();

// _CAO f[^
	enum { IDD = IDD_THREAD };

	sl::DialogConfig::Thread cfg_;

protected:
	CMenu menu_;

	int current_;
	bool order_;
	bool focus_;
	std::vector<bbs::ThreadInfo> org_;
	std::vector<bbs::ThreadInfo> subject_;
	

	//CCheckBoxStatusBar status_;
	CStatusBar status_;

	void GetContactURL(std::wstring& url);
	void CreateMenu();
	void CheckMenuItem(int id, bool check);
	void SizeHelper();
	void ResetList();
	void ChangeStatus();

	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV T|[g

	DECLARE_MESSAGE_MAP()
public:
	virtual BOOL OnInitDialog();
	virtual BOOL PreTranslateMessage(MSG* pMsg);
	afx_msg void OnSize(UINT nType, int cx, int cy);
	//afx_msg void OnCheck1();
	//afx_msg void OnCheck2();
	//afx_msg void OnCheck3();
	CCustomEdit m_xcEdit;
	CButton m_xcBtnUpdate;
	CCustomListCtrl m_xcList;
	afx_msg void OnLvnGetdispinfoList(NMHDR *pNMHDR, LRESULT *pResult);
	afx_msg void OnNMClickList(NMHDR *pNMHDR, LRESULT *pResult);
	afx_msg void OnLvnColumnclickList(NMHDR *pNMHDR, LRESULT *pResult);
	afx_msg void OnBnClickedBtnUpdate();
	afx_msg void OnDestroy();
	afx_msg void OnFavoriteAdd();
	afx_msg void OnFavoriteEdit();
	afx_msg void OnFavoriteRange(UINT nID);
	afx_msg void OnThreadStop();
	afx_msg void OnThreadStretch();
	afx_msg void OnThreadDatetime();
	afx_msg void OnUpdateThreadStart();
	afx_msg void OnUpdateThreadEnd();
	afx_msg void OnThreadContactUrl();
	afx_msg void OnThreadBbsBrowser();
	afx_msg void OnThreadWebBrowser();
	afx_msg void OnThreadClipboardUrl();
};
