// DetailBrowserDlg.cpp : t@C
//

#include "stdafx.h"
#include "PCRPlayer.h"
#include "DetailBrowserDlg.h"
//#include "afxdialogex.h"


// CDetailBrowserDlg _CAO

IMPLEMENT_DYNAMIC(CDetailBrowserDlg, CDialog)

CDetailBrowserDlg::CDetailBrowserDlg(CWnd* pParent /*=NULL*/)
	: CDialog(CDetailBrowserDlg::IDD, pParent)
{

}

CDetailBrowserDlg::~CDetailBrowserDlg()
{
}

void CDetailBrowserDlg::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	DDX_Control(pDX, IDC_EDIT_WEB_FOLDER, m_xcEditWebFolder);
	DDX_Control(pDX, IDC_BTN_WEB_FOLDER, m_xcBtnWebFolder);
	DDX_Control(pDX, IDC_CHECK_DEFAULT, m_xcCheckDefault);
	DDX_Control(pDX, IDC_EDIT_BBS_FOLDER, m_xcEditBbsFolder);
}

void CDetailBrowserDlg::InitControls()
{
	m_xcEditWebFolder.SetWindowText(browser_.web.c_str());
	m_xcCheckDefault.SetCheck(browser_.def ? BST_CHECKED : BST_UNCHECKED);
	m_xcEditBbsFolder.SetWindowText(browser_.bbs.c_str());

	BOOL enable = m_xcCheckDefault.GetCheck() == BST_CHECKED ? FALSE : TRUE;
	m_xcEditWebFolder.EnableWindow(enable);
	m_xcBtnWebFolder.EnableWindow(enable);
}


BEGIN_MESSAGE_MAP(CDetailBrowserDlg, CDialog)
	ON_WM_DESTROY()
	ON_BN_CLICKED(IDC_BTN_WEB_FOLDER, &CDetailBrowserDlg::OnBnClickedBtnWebFolder)
	ON_BN_CLICKED(IDC_CHECK_DEFAULT, &CDetailBrowserDlg::OnBnClickedCheckDefault)
	ON_BN_CLICKED(IDC_BTN_BBS_FOLDER, &CDetailBrowserDlg::OnBnClickedBtnBbsFolder)
	ON_BN_CLICKED(IDC_BTN_ALL_DEFAULT, &CDetailBrowserDlg::OnBnClickedBtnAllDefault)
END_MESSAGE_MAP()


// CDetailBrowserDlg bZ[W nh[


BOOL CDetailBrowserDlg::OnInitDialog()
{
	CDialog::OnInitDialog();

	InitControls();

	return TRUE;  // return TRUE unless you set the focus to a control
	// O : OCX vpeB y[W͕K FALSE Ԃ܂B
}


BOOL CDetailBrowserDlg::PreTranslateMessage(MSG* pMsg)
{
	if (pMsg->message == WM_KEYDOWN)
	{
		if (pMsg->wParam == VK_RETURN || pMsg->wParam == VK_ESCAPE)
		{
			return FALSE;
		}
	}
	return CDialog::PreTranslateMessage(pMsg);
}


void CDetailBrowserDlg::OnDestroy()
{
	CDialog::OnDestroy();

	CString web;
	m_xcEditWebFolder.GetWindowText(web);
	browser_.web = web;

	browser_.def = m_xcCheckDefault.GetCheck() == BST_CHECKED;

	CString bbs;
	m_xcEditBbsFolder.GetWindowText(bbs);
	browser_.bbs = bbs;
}


void CDetailBrowserDlg::OnBnClickedBtnWebFolder()
{
	CString filter("uEU (*.exe)|*.exe|ׂẴt@C (*.*)|*.*||");
	CFileDialog dlg(TRUE, NULL, NULL, OFN_HIDEREADONLY, filter);

	if (dlg.DoModal() == IDOK)
	{
		CString csTmp;
		csTmp = dlg.GetPathName();
		m_xcEditWebFolder.SetWindowText(csTmp);
	}
}

void CDetailBrowserDlg::OnBnClickedCheckDefault()
{
	BOOL enable = m_xcCheckDefault.GetCheck() == BST_CHECKED ? FALSE : TRUE;
	m_xcEditWebFolder.EnableWindow(enable);
	m_xcBtnWebFolder.EnableWindow(enable);
}

void CDetailBrowserDlg::OnBnClickedBtnBbsFolder()
{
	CString filter("uEU (*.exe)|*.exe|ׂẴt@C (*.*)|*.*||");
	CFileDialog dlg(TRUE, NULL, NULL, OFN_HIDEREADONLY, filter);

	if (dlg.DoModal() == IDOK)
	{
		CString csTmp;
		csTmp = dlg.GetPathName();
		m_xcEditBbsFolder.SetWindowText(csTmp);
	}
}




void CDetailBrowserDlg::OnBnClickedBtnAllDefault()
{
	browser_ = sl::BrowserConfig();
	InitControls();
}
