// DetailNetworkGeneralDlg.cpp : t@C
//

#include "stdafx.h"
#include "PCRPlayer.h"
#include "DetailNetworkGeneralDlg.h"
//#include "afxdialogex.h"


// CDetailNetworkGeneralDlg _CAO

IMPLEMENT_DYNAMIC(CDetailNetworkGeneralDlg, CDialog)

//CDetailNetworkGeneralDlg::CDetailNetworkGeneralDlg(CWnd* pParent /*=NULL*/)
//	: CDialog(CDetailNetworkGeneralDlg::IDD, pParent)
//{
//
//}

CDetailNetworkGeneralDlg::CDetailNetworkGeneralDlg(sl::NetworkConfig& network)
	: CDialog(CDetailNetworkGeneralDlg::IDD, NULL)
	, network_(network)
{

}

CDetailNetworkGeneralDlg::~CDetailNetworkGeneralDlg()
{
}

void CDetailNetworkGeneralDlg::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	DDX_Control(pDX, IDC_SPIN_REBUILD_WAIT, m_xcSpinRebuildWait);
	DDX_Control(pDX, IDC_EDIT_READER_USERAGENT, m_xcEditReaderUserAgent);
	DDX_Control(pDX, IDC_SPIN_READER_TIMEOUT, m_xcSpinReaderTimeout);
}

void CDetailNetworkGeneralDlg::InitControls()
{
	m_xcSpinRebuildWait.SetPos32(network_.rebuild.wait);
	m_xcEditReaderUserAgent.SetWindowText(network_.reader.userAgent.c_str());
	m_xcSpinReaderTimeout.SetPos32(network_.reader.timeout);
}


BEGIN_MESSAGE_MAP(CDetailNetworkGeneralDlg, CDialog)
	ON_WM_DESTROY()
	ON_BN_CLICKED(IDC_BTN_ALL_DEFAULT, &CDetailNetworkGeneralDlg::OnBnClickedBtnAllDefault)
END_MESSAGE_MAP()


// CDetailNetworkGeneralDlg bZ[W nh[


BOOL CDetailNetworkGeneralDlg::OnInitDialog()
{
	CDialog::OnInitDialog();

	m_xcSpinRebuildWait.SetRange32(0, 600);
	m_xcSpinReaderTimeout.SetRange32(0, 60000);

	InitControls();

	return TRUE;  // return TRUE unless you set the focus to a control
	// O : OCX vpeB y[W͕K FALSE Ԃ܂B
}


BOOL CDetailNetworkGeneralDlg::PreTranslateMessage(MSG* pMsg)
{
	if (pMsg->message == WM_KEYDOWN)
	{
		if (pMsg->wParam == VK_RETURN || pMsg->wParam == VK_ESCAPE)
		{
			return FALSE;
		}
	}
	return CDialog::PreTranslateMessage(pMsg);
}


void CDetailNetworkGeneralDlg::OnDestroy()
{
	CDialog::OnDestroy();

	network_.rebuild.wait = m_xcSpinRebuildWait.GetPos32();
	CString userAgent;
	m_xcEditReaderUserAgent.GetWindowText(userAgent);
	network_.reader.userAgent = std::wstring(userAgent);
	network_.reader.timeout = m_xcSpinReaderTimeout.GetPos32();
}


void CDetailNetworkGeneralDlg::OnBnClickedBtnAllDefault()
{
	auto tmp = sl::NetworkConfig();

	network_.rebuild.wait = tmp.rebuild.wait;
	network_.reader.userAgent = tmp.reader.userAgent;
	network_.reader.timeout = tmp.reader.timeout;

	InitControls();
}
