#pragma once

#include "afxcmn.h"
#include "DetailTypeFLV1Dlg.h"
#include "DetailTypeFLV2Dlg.h"

// CDetailTypeDlg _CAO

class CDetailTypeDlg : public CDialog
{
	DECLARE_DYNAMIC(CDetailTypeDlg)

public:
	CDetailTypeDlg(CWnd* pParent = NULL);   // WRXgN^[
	virtual ~CDetailTypeDlg();

// _CAO f[^
	enum { IDD = IDD_DETAIL_TYPE };

	int select_;

	struct Dialog {
		Dialog(sl::TypeConfig& type)
			: flv1(type.flv)
			, flv2(type.flv)
		{}

		CDetailTypeFLV1Dlg flv1;
		CDetailTypeFLV2Dlg flv2;
	};

	Dialog dlg_;

	struct Item {
		CDialog* dlg;
		int idd;
		int index;
	};

	std::vector<Item> vec_;
	CRect rect_;

	sl::TypeConfig type_;

protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV T|[g

	DECLARE_MESSAGE_MAP()
public:
	virtual BOOL OnInitDialog();
	virtual BOOL PreTranslateMessage(MSG* pMsg);
	afx_msg void OnTcnSelchangeTab(NMHDR *pNMHDR, LRESULT *pResult);

	CTabCtrl m_xcTab;
};
